﻿package{
	
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	
	public class Timeline extends Sprite{
		
		private var _screen:BitmapData;
		private var cursor:Sprite;
		public function Timeline(){
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,true,0x000000);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);
			/*on cré un curseur de balayage (rouge)*/
			cursor = new Sprite();
			cursor.graphics.beginFill(0x000000,2);
			cursor.graphics.drawRect(0,0,1,stage.stageHeight);
			cursor.graphics.endFill();
			
			/*on affiche le curseur*/
			addChildAt(cursor,1);
			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
			}
			
		private function onEnterFrame(e:Event):void{
			/*on fait avancer le curseur, s'il arrive au bout du stage, on le met à 0*/
			if(cursor.x> mouseX){
				cursor.x = mouseX;
				}else{
				cursor.x = mouseX;	
			}
			
		
			/*on vérifie une distance d'approche entre le curseur et la souris____________abs `= valeur absolue */
			if(Math.abs(cursor.x-this.mouseX) <= 10){
				/*on lance une fonction de création avec les coordonées de la souris*/
				buildBubbles(this.mouseX,this.mouseY);
			}
		}
		private function buildBubbles(_xpos,_ypos){
				/*on se cré un stylo avec lequelle on va dessiner un cercle et un fond rouge super transparent*/
				var stylo:Sprite = new Sprite();
				stylo.graphics.endFill();
				stylo.graphics.beginFill(0xF8F718,.95);
				stylo.graphics.lineStyle( (mouseY/40) ,0x383203);
				stylo.graphics.drawEllipse(_xpos,_ypos,(mouseX/5)+30, (mouseY/5)+30);

				/*on copie le dessin du stylo dans notre background*/
				_screen.draw(stylo);
				
		}
	}

}